<?php

namespace chillerlan\FastRoute\DataGenerator;

class Route{

	public $httpMethod;
	public $regex;
	public $variables;
	public $handler;

	public function __construct(string $httpMethod, $handler, string $regex, array $variables){
		$this->httpMethod = $httpMethod;
		$this->handler    = $handler;
		$this->regex      = $regex;
		$this->variables  = $variables;
	}

	public function matches(string $str):bool{
		$regex = '~^'.$this->regex.'$~';
		return (bool)preg_match($regex, $str);
	}
}

